require 'test/unit'
require 'set'

#include OpenEhr::RM::DataStructures
#include OpenEhr::RM::DataStructures::ItemStructure

class RmDataStructureTest < Test::Unit::TestCase
  def setup
    name = OpenEhr::RM::DataTypes::Text::DvText.new('blood')
    uid = OpenEhr::RM::Support::Identification::UidBasedId.new('ehr::test-1')
    links = Set.new([uid])
    assert_nothing_raised(Exception){
      @data_structure = OpenEhr::RM::DataStructures::DataStructure.new(:archetype_node_id => 'test',
                                                                         :name => name,
                                                                         :links => links) }
  end

  def test_init
    assert_instance_of OpenEhr::RM::DataStructures::DataStructure, @data_structure
  end

  def test_data_structure
    assert_raise(NotImplementedError){@data_structure.as_hierarchy}
  end
end

#class RmDataStructureItemStructureTest < Test::Unit::TestCase
#  def setup
#    assert_nothing_raised(Exception){}
#      
#  end
#
#  def test_init
#  #  end
#end
